diff --git a/src/Fl_x.cxx b/src/Fl_x.cxx
index 2efc19f..69f2da4 100644
--- a/src/Fl_x.cxx
+++ b/src/Fl_x.cxx
@@ -1886,8 +1886,12 @@ fprintf(stderr,"\n");*/
 #  endif
 
   case GraphicsExpose:
-    window->damage(FL_DAMAGE_EXPOSE, xevent.xexpose.x, xevent.xexpose.y,
-                   xevent.xexpose.width, xevent.xexpose.height);
+    {
+      float s = Fl_Graphics_Driver::default_driver().scale();
+      window->damage(FL_DAMAGE_EXPOSE,
+		     xevent.xexpose.x/s, xevent.xexpose.y/s,
+		     xevent.xexpose.width/s+1, xevent.xexpose.height/s+1);
+    }
     return 1;
 
   case FocusIn:
